import Vue from 'vue';
import Vuex from 'vuex';
import login from '@frame/store/login';
import trainplan from '@frame/store/trainplan';

import * as ustate from '@frame/store/user/state';
import * as umutations from '@frame/store/user/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    trainplan,
    login,
  },
});
